SystemOrganization addCategory: #VMP!

Object subclass: #PersonManager
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'VMP'!

Object subclass: #ProjectVolunteer
	instanceVariableNames: 'tasks coordinators status schedule'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'VMP'!

!ProjectVolunteer methodsFor: 'as yet unclassified' stamp: ''!
addCoordinator
	^ self! !

!ProjectVolunteer methodsFor: 'as yet unclassified' stamp: ''!
addTask
	^ self! !

!ProjectVolunteer methodsFor: 'as yet unclassified' stamp: ''!
removeCoordinator
	^ self! !

!ProjectVolunteer methodsFor: 'as yet unclassified' stamp: ''!
updateSatus
	^ self! !

Object subclass: #ProjectVolunteerManager
	instanceVariableNames: 'projects'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'VMP'!

!ProjectVolunteerManager methodsFor: 'as yet unclassified' stamp: ''!
createProject
	^ self! !

!ProjectVolunteerManager methodsFor: 'as yet unclassified' stamp: ''!
queryProject
	^ self! !

!ProjectVolunteerManager methodsFor: 'as yet unclassified' stamp: ''!
removeProject
	^ self! !

!ProjectVolunteerManager methodsFor: 'as yet unclassified' stamp: ''!
validateVolunteer
	^ self! !

Object subclass: #Skill
	instanceVariableNames: 'skillId name description'
	classVariableNames: 'SkillDataBase'
	poolDictionaries: ''
	category: 'VMP'!

!Skill class methodsFor: 'as yet unclassified' stamp: ''!
createSampleDatabase
	SkillDataBase := OrderedCollection new
				add: (self
						skillId: 1
						name: 'smallTalk language knowledge'
						description: '');
				
				add: (self
						skillId: 2
						name: 'SUnit knowledge'
						description: '');
				 yourself! !

!Skill class methodsFor: 'as yet unclassified' stamp: ''!
skillId: t1 name: t2 description: t3 
	^ self new skillId: t1;
		 name: t2;
		 description: t3;
		 yourself! !

!Skill methodsFor: 'as yet unclassified' stamp: ''!
description
	^ description! !

!Skill methodsFor: 'as yet unclassified' stamp: ''!
description: t1 
	description := t1! !

!Skill methodsFor: 'as yet unclassified' stamp: ''!
name
	^ name! !

!Skill methodsFor: 'as yet unclassified' stamp: ''!
name: t1 
	name := t1! !

!Skill methodsFor: 'as yet unclassified' stamp: ''!
skillId
	^ skillId! !

!Skill methodsFor: 'as yet unclassified' stamp: ''!
skillId: t1 
	skillId := t1! !

!Skill methodsFor: 'as yet unclassified' stamp: 'Evelyn 10/21/2012 15:59'!
test_eve
	^ self! !

Object subclass: #Task
	instanceVariableNames: 'skills volunteersApplicant dependencies applicantsAccepted startDate startEnd deadline hours'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'VMP'!

!Task methodsFor: 'as yet unclassified' stamp: ''!
acceptVolunteer
	^ self! !

!Task methodsFor: 'as yet unclassified' stamp: ''!
addVolunteer
	^ self! !

!Task methodsFor: 'as yet unclassified' stamp: ''!
fibonacci
	^ self < 3
		ifTrue: [1]
		ifFalse: [(self - 1) fibonacci + (self - 2) fibonacci]! !

!Task methodsFor: 'as yet unclassified' stamp: ''!
rejectVolunteer
	^ self! !

!Task methodsFor: 'as yet unclassified' stamp: ''!
removeVolunteer
	^ self! !

!Task methodsFor: 'as yet unclassified' stamp: ''!
start
	^ self! !

!Task methodsFor: 'as yet unclassified' stamp: ''!
suggestVolunteer
	^ self! !

!Task methodsFor: 'as yet unclassified' stamp: ''!
terminate
	^ self! !

!Task methodsFor: 'as yet unclassified' stamp: ''!
test_1
	^ self! !

!Task methodsFor: 'as yet unclassified' stamp: ''!
updateStatus
	^ self! !

Object subclass: #TaskManager
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'VMP'!

!TaskManager methodsFor: 'as yet unclassified' stamp: ''!
createTask
	^ self! !

!TaskManager methodsFor: 'as yet unclassified' stamp: ''!
queryTask
	^ self! !

!TaskManager methodsFor: 'as yet unclassified' stamp: ''!
removeTask
	^ self! !

!TaskManager methodsFor: 'as yet unclassified' stamp: ''!
suggestVolunteerTask
	^ self! !

Object subclass: #VMP
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'VMP'!

Object subclass: #Volunteer
	instanceVariableNames: 'volunteerId name age gender skills email currentTasks'
	classVariableNames: 'Database'
	poolDictionaries: ''
	category: 'VMP'!

!Volunteer class methodsFor: 'as yet unclassified' stamp: ''!
addVolunteer: t1 
	self volunteers add: t1! !

!Volunteer class methodsFor: 'as yet unclassified' stamp: ''!
createSampleDatabase
	Database := OrderedCollection new
				add: (self
						volunteerId: 1
						name: 'Evelyn Perez Cervantes'
						email: 'epcervantes7@gmail.com'
						age: 20);
				
				add: (self
						volunteerId: 2
						name: 'Nataly Perez Cervantes'
						email: 'natalypc2@gmail.com'
						age: 21);
				
				add: (self
						volunteerId: 3
						name: 'Sidney Perez Cervantes'
						email: 'sidneypc27@gmail.com'
						age: 22);
				 yourself! !

!Volunteer class methodsFor: 'as yet unclassified' stamp: ''!
listOfVolunteers
	| t1 |
	1
		to: self volunteers size
		do: [:t2 | 
			t1 := t1 + t2.
			Transcript show: self volunteers at: t2]! !

!Volunteer class methodsFor: 'as yet unclassified' stamp: ''!
name: t1 email: t2 age: t3 
	^ self new name: t1;
		 email: t2;
		 age: t3;
		 yourself! !

!Volunteer class methodsFor: 'as yet unclassified' stamp: 'Evelyn 10/21/2012 15:56'!
volunteerId: aninteger name: t2 email: t3 age: t4 
	^ self new volunteerId: aninteger; 
		name: t2;
		 email: t3;
		 age: t4;
		 yourself! !

!Volunteer class methodsFor: 'as yet unclassified' stamp: ''!
volunteers
	Database isNil
		ifTrue: [self createSampleDatabase].
	^ Database! !

!Volunteer methodsFor: 'as yet unclassified' stamp: ''!
age
	^ age! !

!Volunteer methodsFor: 'as yet unclassified' stamp: ''!
age: t1 
	name := t1! !

!Volunteer methodsFor: 'as yet unclassified' stamp: ''!
currentTasks
	^ currentTasks! !

!Volunteer methodsFor: 'as yet unclassified' stamp: ''!
email
	^ email! !

!Volunteer methodsFor: 'as yet unclassified' stamp: ''!
email: t1 
	email := t1! !

!Volunteer methodsFor: 'as yet unclassified' stamp: ''!
gender
	^ gender! !

!Volunteer methodsFor: 'as yet unclassified' stamp: ''!
gender: t1 
	gender := t1! !

!Volunteer methodsFor: 'as yet unclassified' stamp: ''!
name
	^ name! !

!Volunteer methodsFor: 'as yet unclassified' stamp: ''!
name: t1 
	name := t1! !

!Volunteer methodsFor: 'as yet unclassified' stamp: ''!
skills
	^ skills! !

!Volunteer methodsFor: 'as yet unclassified' stamp: ''!
skills: t1 
	skills := t1! !

!Volunteer methodsFor: 'as yet unclassified' stamp: ''!
volunteerId
	^ volunteerId! !

!Volunteer methodsFor: 'as yet unclassified' stamp: ''!
volunteerId: t1 
	volunteerId := t1! !

TestCase subclass: #MySetTest
	instanceVariableNames: 'full empty'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'VMP'!

!MySetTest methodsFor: 'as yet unclassified' stamp: ''!
setUp
	Contact createSampleDatabase.
	empty := Set new.
	full := Set with: 5 with: #abc! !

!MySetTest methodsFor: 'as yet unclassified' stamp: ''!
testIncludes
	self
		assert: (full includes: 5).
	self
		assert: (full includes: #abc)! !

!MySetTest methodsFor: 'as yet unclassified' stamp: ''!
testOccurrences
	self assert: (empty occurrencesOf: 0)
			= 0.
	self assert: (full occurrencesOf: 5)
			= 1.
	full add: 5.
	self assert: (full occurrencesOf: 5)
			= 1! !

!MySetTest methodsFor: 'as yet unclassified' stamp: ''!
testRemove
	full remove: 5.
	self
		assert: (full includes: #abc).
	self
		deny: (full includes: 5)! !

!MySetTest methodsFor: 'as yet unclassified' stamp: ''!
testaddVolunteer
	| t1 t2 |
	t1 := Volunteer new.
	t1 name: 'Juan Perez'.
	Volunteer addVolunteer: t1.
	t2 := Volunteer volunteers includes: t1.
	self assert: t2! !
